package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DevProjectFactory
{
    private DevProjectFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.basedata.IDevProject getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IDevProject)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("99390A08") ,com.kingdee.eas.custom.compensation.basedata.IDevProject.class);
    }
    
    public static com.kingdee.eas.custom.compensation.basedata.IDevProject getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IDevProject)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("99390A08") ,com.kingdee.eas.custom.compensation.basedata.IDevProject.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.basedata.IDevProject getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IDevProject)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("99390A08"));
    }
    public static com.kingdee.eas.custom.compensation.basedata.IDevProject getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IDevProject)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("99390A08"));
    }
}